import { type FC } from 'react';

import { IconInfoSquareRounded } from '@material-hu/icons/tabler';

import HuStateCard from '@material-hu/components/composed-components/StateCard';

import { useLokaliseTranslation } from 'src/utils/i18n';

const EmptyCatalogItems: FC = () => {
  const { t } = useLokaliseTranslation('service_management');

  return (
    <HuStateCard
      slotProps={{
        title: {
          title: t('empty_service_items'),
          description: t('empty_service_items_description'),
        },
        avatar: {
          color: 'primary',
          Icon: IconInfoSquareRounded,
        },
      }}
    />
  );
};

export default EmptyCatalogItems;
